<?php
$r="../";
require_once($r."inc/funciones.php");
validNotSession($r);
$spe=$_SESSION['perfil'];
$cliente=$_POST['cliente'];
$idrutero=$_POST['idrutero'];

$id=$_GET['id'];
$tabla='z_clientes'; // Tabla que se va modificar
$tipo='Cliente'; // Usuario a Modificar
$total=0;
$fecha=$_POST['fecha'];//if($fecha==""){echo 'seleccione una fecha de entrega';}
$con=0;
if(isset($_POST["pedir"])) {
    if($cliente!=""){
        $mysqli = connectDB($r);    
        foreach($_POST as $key => $item){
            $param_name = 'iden';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $idpro=$item;
                if($si==""){$si=$idpro;}
            }
            $param_name = 'cant';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                    $capro= $item;
             }
            $param_name = 'prec';
            if(substr($key, 0, strlen($param_name)) == $param_name) {
                $prpro = $item;
            }
            $param_name = 'iva';
             if(substr($key, 0, strlen($param_name)) == $param_name) {
                    $iva= $item;
                    $ya = '1';
             }
            if($ya==1){
                if($con==0){
                    $qry1=$mysqli->query("SELECT * FROM z_codigopedido WHERE estado=0");
                    $row1 = $qry1->fetch_assoc();
                    $id=$row1['id'];
                    $codigo=$row1['codigopedido'];
                    $mysqli->query("UPDATE z_codigopedido SET estado=1 WHERE id=$id");
                    $con++;
                }
                $mysqli->query("INSERT INTO z_pedido (idproducto, cantidad, precio, iva, codigopedido) VALUE ('$idpro','$capro','$prpro','$iva','".$row1['codigopedido']."')");
                $prod=sprod($idpro);
                $producto=$prod['producto'];
                $subtotal=$capro*$prpro;
                $total=$total+$subtotal;
                $mensaje   .= $producto.' : '.$capro. "\r\n";
                /*$row7=$mysqli->query("SELECT * FROM z_inventario WHERE idproducto='$idpro' ORDER BY id DESC");
                $row8=$row7->fetch_assoc();
                $icant=$row8['cantidad'];
                $iid=$row8['id'];
                $icant=$icant-$capro;
                $mysqli->query("UPDATE z_inventario SET cantidad='$icant' WHERE id='$iid'");*/
                $ya = '0';
            }
        }
    
        if($si!=""){
        $user=$_SESSION['userid'];
        $nota=$_POST["nota"];
        $fecha2=date("Y-m-d H:i:s"); 
        
        $mysqli->query("INSERT INTO z_pedidos (iduser,idapro, idcliente, idrutero, codigopedido, nota, fechaaprovacion, fechasalida, fechaentrega, estado, total) VALUE ('$user','$user','$cliente','$idrutero','$codigo','$nota','$fecha2','$fecha2','$fecha', '2','$total')");
       

unset($_POST);
        $row11=$mysqli->query("SELECT * FROM z_clientes WHERE id='$cliente' ORDER BY id DESC");
        $row12=$row11->fetch_assoc();
        $para=$row12['correo'];
        if (filter_var($para, FILTER_VALIDATE_EMAIL)) {
    
        $titulo    = 'PEDIDO No '.$codigo;
        $cabeceras = 'From: noreply@practipastajj.com' . "\r\n";
        'X-Mailer: PHP/' . phpversion();

        //mail($para, $titulo, $mensaje, $cabeceras);
}
        
    echo 'prints.php?code='.$codigo.'&msn=El Pedido N°'.$codigo.' Se a Creado con exito!';exit();}else{echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>No Hay Ningun Producto Añadido</h6></div>';exit();}
    }else{echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Añade Un Cliente</h6></div>';exit();}
}
if(isset($_POST["actPedido"])){
    $mysqli = connectDB($r);
    $code=$_POST["code"];
    foreach($_POST as $key => $item){
        $param_name = 'id';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
          $id= $item;
        }
        $param_name = 'can';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $can=$item;
            if($can!=""){
                $row7=$mysqli->query("SELECT * FROM z_inventario WHERE idproducto='$id' ORDER BY id DESC");
                $row8=$row7->fetch_assoc();
                $icant=$row8['cantidad'];
                $idd=$row8['id'];
                $row10=$mysqli->query("SELECT * FROM z_pedido WHERE codigopedido='$code' AND idproducto='$id'");
                $row9=$row10->fetch_assoc();
                $cantidad=$row9['cantidad'];
                $suma=$cantidad+$icant;
                if($suma>$can){
                    $mysqli->query("UPDATE z_pedido SET cantidad='$can' WHERE codigopedido='$code' AND idproducto='$id'");
                    $cantid=$suma-$can;
                    $mysqli->query("UPDATE z_inventario SET cantidad='$cantid' WHERE id='$idd'");
                    $can=='';$cantid='';
                }
                else{$npro=sprod($id);$e.='</br>El Producto '.$npro['producto'].'No fue actualizado, solo hay '.$suma.'en existencia, ';}
            
            }
        }
        $param_name = 'cann';
        if(substr($key, 0, strlen($param_name)) == $param_name) {
            $cann=$item;
            if($cann!=""){  
            $producto=sprod($id);
            $mysqli->query("INSERT INTO z_pedido(`idproducto`, `cantidad`, `precio`, `iva`,`codigopedido`) VALUES ('$id','$item','".$producto["salsamentaria"]."','".$producto["iva"]."','$code')");
            $row7=$mysqli->query("SELECT * FROM z_inventario WHERE idproducto='$id' ORDER BY id DESC");
            $row8=$row7->fetch_assoc();
            $icant=$row8['cantidad'];
            $idd=$row8['id'];
            $can=$icant-$item;
            $mysqli->query("UPDATE z_inventario SET cantidad='$can' WHERE id='$idd'");
            }
        }
        if($key=='fecha'){$mysqli->query("UPDATE z_pedidos SET fechaentrega='$item' WHERE codigopedido='$code'");}    
    }
    echo 'mis-pedidos.php?msn=El Pedido de N°'.$code.' Fue Actualizado'.$e; 
    exit();
}
/* FORMULARIO NUEVO */
if(isset($_POST["nuevo"])){
    
$mysqli = connectDB($r);
    $nombre=strtoupper($_POST['nombre']);
    if($nombre==""){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nombre de la Empresa es Obligatorio</h6></div>';exit();}
    $cedula=$_POST['cedula'];
    if($cedula!=""){
        $qry1 = $mysqli->query("SELECT * FROM z_clientes WHERE cedula='$cedula' AND eliminado='0'");
        $num1 = $qry1->num_rows;
        if($num1 > 0){ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Ese Cliente Ya se encuentra registrado</h6></div>';exit();}
    }else{ echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>El Nit o Cedula es Obligatorio</h6></div>';exit();}
    $direccion=strtolower($_POST['direccion']);
    if($direccion==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Direción de la Empresa es Obligatoria</h6></div>';exit();}
    $correo=strtolower($_POST['correo']);
    if($correo==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>La Correo Electronico es Obligatorio</h6></div>';exit();}
    $contacto1=ucwords(strtolower($_POST['contacto1']));
    $celular1=$_POST['celular1'];
    $telefono1=$_POST['telefono1'];
    if($celular1=="" && $telefono1==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesario un Numero de Contacto Celular o Fijo</h6></div>';exit();}
    $contacto2=ucwords(strtolower($_POST['contacto2']));
    $telefono2=$_POST['telefono2'];
    $tipocliente=strtolower($_POST['tipocliente']);
    $perfil=strtolower($_POST['perfil']);
    $ruta=strtolower($_POST['ruta']);
    $nota=strtolower($_POST['nota']);
    $pais='COLOMBIA';
    $departamento=$_POST['departamento'];
    $municipio=$_POST['municipio'];
    if($municipio=="107"){if($_POST['localidad']==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Es Necesaria Una Localidad</h6></div>';exit();}}
    $zona=$_POST['zona'];
    $localidad=$_POST['localidad'];
    $barrio=$_POST['barrio'];
    if($direccion=="" && $contacto1=="" && $departamento=="" && $municipio==""){echo '<div class="alert alert-danger  alert-dismissible text-center"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a><h6>Todos los campos con * son obligatorios</h6></div>';exit();}
    $cedula=mysqli_real_escape_string($mysqli, $cedula);
    $nombre=mysqli_real_escape_string($mysqli, $nombre);    
    $correo=mysqli_real_escape_string($mysqli, $correo);
    $contacto1=mysqli_real_escape_string($mysqli, $contacto1);
    $direccion=mysqli_real_escape_string($mysqli, $direccion);
    $celular1=mysqli_real_escape_string($mysqli, $celular1);
    $telefono1=mysqli_real_escape_string($mysqli, $telefono1);
    $contacto2=mysqli_real_escape_string($mysqli, $contacto2);
    $telefono2=mysqli_real_escape_string($mysqli, $telefono2);
    $nota=mysqli_real_escape_string($mysqli, $nota);
    $tipocliente=mysqli_real_escape_string($mysqli, $tipocliente);
    $perfil=mysqli_real_escape_string($mysqli, $perfil);
    $ruta=mysqli_real_escape_string($mysqli, $ruta);
    $pais=mysqli_real_escape_string($mysqli, $pais);
    $departamento=mysqli_real_escape_string($mysqli, $departamento);
    $municipio=mysqli_real_escape_string($mysqli, $municipio);
    $localidad=mysqli_real_escape_string($mysqli, $localidad);
    $zona=mysqli_real_escape_string($mysqli, $zona);
    $barrio=mysqli_real_escape_string($mysqli, $barrio);
    $sql="INSERT INTO z_clientes (cedula, nombre, correo, contacto1, direccion, celular1, telefono1, contacto2, telefono2, nota, pais, departamento, municipio, localidad, zona, barrio, tipocliente, perfil ,ruta) VALUES ('$cedula','$nombre','$correo','$contacto1','$direccion','$celular1','$telefono1','$contacto2','$telefono2','$nota','$pais','$departamento','$municipio','$localidad','$zona','$barrio','$tipocliente','$perfil','$ruta')";
    if ($mysqli->query($sql) === TRUE) {
        $mysqli->close();
        echo 'index.php?msn=El '.$tipo.' <b>"'.$nombre.'"</b> ha se a Creado';
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . $mysqli->error;
        $mysqli->close();
    }
    exit();
}
?>

